Last Comment Bug 655207 - Uninitialized memory used in nsTextFrame::AddInlineMinWidthForFlow with -moz-hyphen
: Uninitialized memory used in nsTextFrame::AddInlineMinWidthForFlow with -moz-...
Status: RESOLVED FIXED
[sg:low?]
: testcase, valgrind
Product: Core
Classification: Components
Component: Layout: Text (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Jonathan Kew (:jfkthame)
:
Mentors:
: 658488 (view as bug list)
Depends on:
Blocks: randomstyles
  Show dependency treegraph
 
Reported: 2011-05-05 23:29 PDT by Jesse Ruderman
Modified: 2011-05-24 14:52 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
testcase (120 bytes, text/html)
2011-05-05 23:29 PDT, Jesse Ruderman
no flags Details
valgrind output (firefox debug) (8.05 KB, text/plain)
2011-05-05 23:30 PDT, Jesse Ruderman
no flags Details
patch, avoid looking one position beyond the actual length of hyphBreakBefore[] (2.04 KB, patch)
2011-05-07 02:13 PDT, Jonathan Kew (:jfkthame)
roc: review+
Details | Diff | Splinter Review

Description Jesse Ruderman 2011-05-05 23:29:47 PDT
Created attachment 530550 [details]
testcase
Comment 1 Jesse Ruderman 2011-05-05 23:30:14 PDT
Created attachment 530551 [details]
valgrind output (firefox debug)
Comment 2 Jonathan Kew (:jfkthame) 2011-05-07 02:13:59 PDT
Created attachment 530817 [details] [diff] [review]
patch, avoid looking one position beyond the actual length of hyphBreakBefore[]
Comment 3 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-05-09 02:35:09 PDT
Comment on attachment 530817 [details] [diff] [review]
patch, avoid looking one position beyond the actual length of hyphBreakBefore[]

Review of attachment 530817 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 4 Jonathan Kew (:jfkthame) 2011-05-09 03:00:23 PDT
http://hg.mozilla.org/mozilla-central/rev/dfcfa00eb188
Comment 5 Julian Seward [:jseward] 2011-05-20 02:40:00 PDT
*** Bug 658488 has been marked as a duplicate of this bug. ***
Comment 6 David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch) 2011-05-24 14:52:43 PDT
[in triage meeting] No longer need to track this since it's fixed; we just needed to make sure we got this in before we shipped -moz-hyphens.

Note You need to log in before you can comment on or make changes to this bug.